net.minecraft.entity.player

## Class EntityPlayer

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLivingBase
    - - net.minecraft.entity.player.EntityPlayer

- All Implemented Interfaces:
    ICommandSender
  Direct Known Subclasses:
    AbstractClientPlayer, EntityPlayerMP

      public abstract class EntityPlayer
      extends EntityLivingBase
      implements ICommandSender

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EntityPlayer.EnumChatVisibility`
    `static class` | `EntityPlayer.EnumStatus`

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.Entity

      `Entity.EnumEntitySize`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `cameraYaw`
    `PlayerCapabilities` | `capabilities`
    `float` | `experience`
    `int` | `experienceLevel`
    `int` | `experienceTotal`
    `float` | `eyeHeight`
    `float` | `field_71079_bU`
    `float` | `field_71082_cx`
    `double` | `field_71085_bR`
    `float` | `field_71089_bV`
    `double` | `field_71091_bM`
    `double` | `field_71094_bP`
    `double` | `field_71095_bQ`
    `double` | `field_71096_bN`
    `double` | `field_71097_bO`
    `EntityFishHook` | `fishEntity`
    `protected int` | `flyToggleTimer`
    `protected FoodStats` | `foodStats`
    `InventoryPlayer` | `inventory`
    `Container` | `inventoryContainer`
    `Container` | `openContainer`
    `static java.lang.String` | `PERSISTED_NBT_TAG`
    `ChunkCoordinates` | `playerLocation`
    `float` | `prevCameraYaw`
    `protected boolean` | `sleeping`
    `protected float` | `speedInAir`
    `protected float` | `speedOnGround`
    `int` | `xpCooldown`

    - ### Fields inherited from class net.minecraft.entity.EntityLivingBase

      `arrowHitTimer, attackedAtYaw, attackingPlayer, attackTime, cameraPitch, dead, deathTime, entityAge, field_110154_aX, field_70741_aB, field_70763_ax, field_70764_aw, field_70768_au, field_70769_ao, field_70770_ap, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, lastDamage, limbSwing, limbSwingAmount, maxHurtResistantTime, maxHurtTime, moveForward, moveStrafing, newPosRotationIncrements, newPosX, newPosY, newPosZ, newRotationPitch, newRotationYaw, prevCameraPitch, prevHealth, prevLimbSwingAmount, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, randomYawVelocity, recentlyHit, renderYawOffset, rotationYawHead, scoreValue, swingProgress, swingProgressInt`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dataWatcher, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityUniqueID, extendedProperties, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, inPortal, inWater, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, isImmuneToFire, isInWeb, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, portalCounter, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, rand, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, teleportDirection, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityPlayer(World p_i45324_1_, com.mojang.authlib.GameProfile p_i45324_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChatComponentMessage(IChatComponent p_146105_1_)`
    `void` | `addExhaustion(float par1)`
    `void` | `addExperience(int par1)`
    `void` | `addExperienceLevel(int par1)`
    `void` | `addMovementStat(double par1, double par3, double par5)`
    `void` | `addScore(int par1)`
    `void` | `addStat(StatBase par1StatBase, int par2)`
    `void` | `addToPlayerScore(Entity par1Entity, int par2)`
    `protected void` | `applyEntityAttributes()`
    `boolean` | `attackEntityFrom(DamageSource par1DamageSource, float par2)`
    `void` | `attackTargetEntityWithCurrentItem(Entity par1Entity)`
    `boolean` | `canAttackPlayer(EntityPlayer par1EntityPlayer)`
    `boolean` | `canEat(boolean par1)`
    `boolean` | `canHarvestBlock(Block p_146099_1_)`
    `boolean` | `canPlayerEdit(int par1, int par2, int par3, int par4, ItemStack par5ItemStack)`
    `protected boolean` | `canTriggerWalking()`
    `void` | `clearItemInUse()`
    `void` | `clonePlayer(EntityPlayer par1EntityPlayer, boolean par2)`
    `void` | `closeScreen()`
    `protected void` | `damageArmor(float par1)`
    `protected void` | `damageEntity(DamageSource par1DamageSource, float par2)`
    `void` | `destroyCurrentEquippedItem()`
    `void` | `displayGUIAnvil(int par1, int par2, int par3)`
    `void` | `displayGUIBook(ItemStack par1ItemStack)`
    `void` | `displayGUIChest(IInventory par1IInventory)`
    `void` | `displayGUIEnchantment(int par1, int par2, int par3, java.lang.String par4Str)`
    `void` | `displayGUIHopperMinecart(EntityMinecartHopper par1EntityMinecartHopper)`
    `void` | `displayGUIHorse(EntityHorse par1EntityHorse, IInventory par2IInventory)`
    `void` | `displayGUIMerchant(IMerchant par1IMerchant, java.lang.String par2Str)`
    `void` | `displayGUIWorkbench(int par1, int par2, int par3)`
    `EntityItem` | `dropOneItem(boolean par1)`
    `EntityItem` | `dropPlayerItemWithRandomChoice(ItemStack par1ItemStack, boolean par2)`
    `protected void` | `entityInit()`
    `protected void` | `fall(float par1)`
    `IChatComponent` | `func_145748_c_()`
    `protected java.lang.String` | `func_146067_o(int p_146067_1_)`
    `void` | `func_146093_a(TileEntityHopper p_146093_1_)`
    `static java.util.UUID` | `func_146094_a(com.mojang.authlib.GameProfile p_146094_0_)`
    `void` | `func_146095_a(CommandBlockLogic p_146095_1_)`
    `EntityItem` | `func_146097_a(ItemStack p_146097_1_, boolean p_146097_2_, boolean p_146097_3_)`
    `void` | `func_146098_a(TileEntityBrewingStand p_146098_1_)`
    `void` | `func_146100_a(TileEntity p_146100_1_)`
    `void` | `func_146101_a(TileEntityFurnace p_146101_1_)`
    `void` | `func_146102_a(TileEntityDispenser p_146102_1_)`
    `void` | `func_146104_a(TileEntityBeacon p_146104_1_)`
    `float` | `getAbsorptionAmount()`
    `float` | `getAIMoveSpeed()`
    `boolean` | `getAlwaysRenderNameTagForRender()`
    `float` | `getArmorVisibility()`
    `ChunkCoordinates` | `getBedLocation()` Deprecated.
    `ChunkCoordinates` | `getBedLocation(int dimension)` A dimension aware version of getBedLocation.
    `float` | `getBedOrientationInDegrees()`
    `float` | `getBreakSpeed(Block p_146096_1_, boolean p_146096_2_, int meta)` Deprecated.
    `float` | `getBreakSpeed(Block p_146096_1_, boolean p_146096_2_, int meta, int x, int y, int z)`
    `java.lang.String` | `getCommandSenderName()`
    `ItemStack` | `getCurrentArmor(int par1)`
    `ItemStack` | `getCurrentEquippedItem()`
    `float` | `getCurrentPlayerStrVsBlock(Block p_146096_1_, boolean p_146096_2_)` Deprecated.
    `protected java.lang.String` | `getDeathSound()`
    `float` | `getDefaultEyeHeight()` Returns the default eye height of the player
    `java.lang.String` | `getDisplayName()` Get the currently computed display name, cached for efficiency.
    `World` | `getEntityWorld()`
    `ItemStack` | `getEquipmentInSlot(int par1)`
    `protected int` | `getExperiencePoints(EntityPlayer par1EntityPlayer)`
    `float` | `getEyeHeight()`
    `FoodStats` | `getFoodStats()`
    `com.mojang.authlib.GameProfile` | `getGameProfile()`
    `ItemStack` | `getHeldItem()`
    `boolean` | `getHideCape()`
    `protected boolean` | `getHideCape(int par1)`
    `protected java.lang.String` | `getHurtSound()`
    `InventoryEnderChest` | `getInventoryEnderChest()`
    `IIcon` | `getItemIcon(ItemStack par1ItemStack, int par2)`
    `ItemStack` | `getItemInUse()`
    `int` | `getItemInUseCount()`
    `int` | `getItemInUseDuration()`
    `ItemStack[]` | `getLastActiveItems()`
    `int` | `getMaxInPortalTime()`
    `int` | `getPortalCooldown()`
    `Vec3` | `getPosition(float par1)`
    `int` | `getScore()`
    `int` | `getSleepTimer()`
    `protected java.lang.String` | `getSplashSound()`
    `protected java.lang.String` | `getSwimSound()`
    `Team` | `getTeam()`
    `int` | `getTotalArmorValue()`
    `Scoreboard` | `getWorldScoreboard()`
    `double` | `getYOffset()`
    `void` | `handleHealthUpdate(byte par1)`
    `boolean` | `interactWith(Entity par1Entity)`
    `boolean` | `isBlocking()`
    `boolean` | `isCurrentToolAdventureModeExempt(int par1, int par2, int par3)`
    `boolean` | `isEntityInsideOpaqueBlock()`
    `boolean` | `isInvisibleToPlayer(EntityPlayer par1EntityPlayer)`
    `protected boolean` | `isMovementBlocked()`
    `protected boolean` | `isPlayer()`
    `boolean` | `isPlayerFullyAsleep()`
    `boolean` | `isPlayerSleeping()`
    `boolean` | `isPushedByWater()`
    `boolean` | `isSpawnForced()` Deprecated.
    `boolean` | `isSpawnForced(int dimension)` A dimension aware version of isSpawnForced.
    `boolean` | `isUsingItem()`
    `void` | `joinEntityItemWithWorld(EntityItem par1EntityItem)`
    `void` | `jump()`
    `void` | `mountEntity(Entity par1Entity)`
    `void` | `moveEntityWithHeading(float par1, float par2)`
    `void` | `onCriticalHit(Entity par1Entity)`
    `void` | `onDeath(DamageSource par1DamageSource)`
    `void` | `onEnchantmentCritical(Entity par1Entity)`
    `protected void` | `onItemUseFinish()`
    `void` | `onKillEntity(EntityLivingBase par1EntityLivingBase)`
    `void` | `onLivingUpdate()`
    `void` | `onUpdate()`
    `void` | `openGui(java.lang.Object mod, int modGuiId, World world, int x, int y, int z)`
    `void` | `playSound(java.lang.String par1Str, float par2, float par3)`
    `void` | `preparePlayerToSpawn()`
    `void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `refreshDisplayName()` Force the displayed name to refresh
    `protected void` | `resetHeight()`
    `void` | `respawnPlayer()`
    `void` | `sendPlayerAbilities()`
    `void` | `setAbsorptionAmount(float par1)`
    `void` | `setCurrentItemOrArmor(int par1, ItemStack par2ItemStack)`
    `void` | `setDead()`
    `void` | `setGameType(WorldSettings.GameType par1EnumGameType)`
    `protected void` | `setHideCape(int par1, boolean par2)`
    `void` | `setInWeb()`
    `void` | `setItemInUse(ItemStack par1ItemStack, int par2)`
    `void` | `setScore(int par1)`
    `void` | `setSpawnChunk(ChunkCoordinates par1ChunkCoordinates, boolean par2)`
    `void` | `setSpawnChunk(ChunkCoordinates chunkCoordinates, boolean forced, int dimension)` A dimension aware version of setSpawnChunk.
    `boolean` | `shouldHeal()`
    `EntityPlayer.EnumStatus` | `sleepInBedAt(int par1, int par2, int par3)`
    `void` | `stopUsingItem()`
    `void` | `triggerAchievement(StatBase par1StatBase)`
    `protected void` | `updateEntityActionState()`
    `protected void` | `updateItemUse(ItemStack par1ItemStack, int par2)`
    `void` | `updateRidden()`
    `static ChunkCoordinates` | `verifyRespawnCoordinates(World par0World, ChunkCoordinates par1ChunkCoordinates, boolean par2)`
    `void` | `wakeUpPlayer(boolean par1, boolean par2, boolean par3)`
    `void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)`
    `int` | `xpBarCap()`

    - ### Methods inherited from class net.minecraft.entity.EntityLivingBase

      `addPotionEffect, applyArmorCalculations, applyPotionDamageCalculations, attackEntityAsMob, canBeCollidedWith, canBePushed, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, collideWithEntity, collideWithNearbyEntities, curePotionEffects, decreaseAirSupply, dismountEntity, dropEquipment, dropFewItems, dropRareDrop, func_110142_aN, func_110146_f, func_142015_aE, func_146066_aG, func_94060_bK, getActivePotionEffect, getActivePotionEffects, getAge, getAITarget, getArrowCountInEntity, getAttributeMap, getCreatureAttribute, getEntityAttribute, getHealth, getLastAttacker, getLastAttackerTime, getLook, getLookVec, getMaxHealth, getRNG, getRotationYawHead, getSoundPitch, getSoundVolume, getSwingProgress, heal, isAIEnabled, isChild, isClientWorld, isEntityAlive, isEntityUndead, isOnLadder, isOnSameTeam, isOnTeam, isPotionActive, isPotionActive, isPotionApplicable, kill, knockBack, onChangedPotionEffect, onDeathUpdate, onEntityUpdate, onFinishedPotionEffect, onItemPickup, onNewPotionEffect, performHurtAnimation, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setArrowCountInEntity, setBeenAttacked, setHealth, setJumping, setLastAttacker, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, setSprinting, shouldRiderFaceForward, swingItem, updateAITasks, updateAITick, updateArmSwingProgress, updateFallState, updatePotionEffects`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, canRiderInteract, copyDataFrom, copyLocationAndAnglesFrom, dealFireDamage, doesEntityNotTriggerPressurePlate, dropItem, entityDropItem, equals, extinguish, func_145771_j, func_145772_a, func_145774_a, func_145775_I, func_145778_a, func_145780_a, func_145781_i, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityId, getEntityString, getExtendedProperties, getFlag, getMaxSafePointTries, getMountedYOffset, getParts, getPersistentID, getPickedResult, getShadowSize, getTeleportDirection, getUniqueID, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, interactFirst, isBurning, isCreatureType, isEating, isEntityEqual, isEntityInvulnerable, isImmuneToFire, isInRangeToRender3d, isInRangeToRenderDist, isInsideOfMaterial, isInvisible, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, moveEntity, moveFlying, newDoubleNBTList, newFloatNBTList, onChunkLoad, onCollideWithPlayer, onStruckByLightning, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setEating, setEntityId, setFire, setFlag, setInPortal, setInvisible, setLocationAndAngles, setOnFireFromLava, setPosition, setPositionAndRotation, setRotation, setSize, setSneaking, setVelocity, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, shouldSetPosAfterLoading, toString, travelToDimension, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.command.ICommandSender

      `addChatMessage, canCommandSenderUseCommand, getPlayerCoordinates`

- - ### Field Detail

    - #### PERSISTED_NBT_TAG

          public static final java.lang.String PERSISTED_NBT_TAG

      See Also:
        Constant Field Values

    - #### inventory

          public InventoryPlayer inventory

    - #### inventoryContainer

          public Container inventoryContainer

    - #### openContainer

          public Container openContainer

    - #### foodStats

          protected FoodStats foodStats

    - #### flyToggleTimer

          protected int flyToggleTimer

    - #### prevCameraYaw

          public float prevCameraYaw

    - #### cameraYaw

          public float cameraYaw

    - #### xpCooldown

          public int xpCooldown

    - #### field_71091_bM

          public double field_71091_bM

    - #### field_71096_bN

          public double field_71096_bN

    - #### field_71097_bO

          public double field_71097_bO

    - #### field_71094_bP

          public double field_71094_bP

    - #### field_71095_bQ

          public double field_71095_bQ

    - #### field_71085_bR

          public double field_71085_bR

    - #### sleeping

          protected boolean sleeping

    - #### playerLocation

          public ChunkCoordinates playerLocation

    - #### field_71079_bU

          public float field_71079_bU

    - #### field_71082_cx

          public float field_71082_cx

    - #### field_71089_bV

          public float field_71089_bV

    - #### capabilities

          public PlayerCapabilities capabilities

    - #### experienceLevel

          public int experienceLevel

    - #### experienceTotal

          public int experienceTotal

    - #### experience

          public float experience

    - #### speedOnGround

          protected float speedOnGround

    - #### speedInAir

          protected float speedInAir

    - #### fishEntity

          public EntityFishHook fishEntity

    - #### eyeHeight

          public float eyeHeight

  - ### Constructor Detail

    - #### EntityPlayer

          public EntityPlayer(World p_i45324_1_,
                      com.mojang.authlib.GameProfile p_i45324_2_)

  - ### Method Detail

    - #### applyEntityAttributes

          protected void applyEntityAttributes()

      Overrides:
        `applyEntityAttributes` in class `EntityLivingBase`

    - #### entityInit

          protected void entityInit()

      Overrides:
        `entityInit` in class `EntityLivingBase`

    - #### getItemInUse

          public ItemStack getItemInUse()

    - #### getItemInUseCount

          public int getItemInUseCount()

    - #### isUsingItem

          public boolean isUsingItem()

    - #### getItemInUseDuration

          public int getItemInUseDuration()

    - #### stopUsingItem

          public void stopUsingItem()

    - #### clearItemInUse

          public void clearItemInUse()

    - #### isBlocking

          public boolean isBlocking()

    - #### onUpdate

          public void onUpdate()

      Overrides:
        `onUpdate` in class `EntityLivingBase`

    - #### getMaxInPortalTime

          public int getMaxInPortalTime()

      Overrides:
        `getMaxInPortalTime` in class `Entity`

    - #### getSwimSound

          protected java.lang.String getSwimSound()

      Overrides:
        `getSwimSound` in class `Entity`

    - #### getSplashSound

          protected java.lang.String getSplashSound()

      Overrides:
        `getSplashSound` in class `Entity`

    - #### getPortalCooldown

          public int getPortalCooldown()

      Overrides:
        `getPortalCooldown` in class `Entity`

    - #### playSound

          public void playSound(java.lang.String par1Str,
                       float par2,
                       float par3)

      Overrides:
        `playSound` in class `Entity`

    - #### updateItemUse

          protected void updateItemUse(ItemStack par1ItemStack,
                           int par2)

    - #### onItemUseFinish

          protected void onItemUseFinish()

    - #### handleHealthUpdate

          public void handleHealthUpdate(byte par1)

      Overrides:
        `handleHealthUpdate` in class `EntityLivingBase`

    - #### isMovementBlocked

          protected boolean isMovementBlocked()

      Overrides:
        `isMovementBlocked` in class `EntityLivingBase`

    - #### closeScreen

          public void closeScreen()

    - #### mountEntity

          public void mountEntity(Entity par1Entity)

      Overrides:
        `mountEntity` in class `Entity`

    - #### updateRidden

          public void updateRidden()

      Overrides:
        `updateRidden` in class `EntityLivingBase`

    - #### preparePlayerToSpawn

          public void preparePlayerToSpawn()

      Overrides:
        `preparePlayerToSpawn` in class `Entity`

    - #### updateEntityActionState

          protected void updateEntityActionState()

      Overrides:
        `updateEntityActionState` in class `EntityLivingBase`

    - #### onLivingUpdate

          public void onLivingUpdate()

      Overrides:
        `onLivingUpdate` in class `EntityLivingBase`

    - #### getScore

          public int getScore()

    - #### setScore

          public void setScore(int par1)

    - #### addScore

          public void addScore(int par1)

    - #### onDeath

          public void onDeath(DamageSource par1DamageSource)

      Overrides:
        `onDeath` in class `EntityLivingBase`

    - #### getHurtSound

          protected java.lang.String getHurtSound()

      Overrides:
        `getHurtSound` in class `EntityLivingBase`

    - #### getDeathSound

          protected java.lang.String getDeathSound()

      Overrides:
        `getDeathSound` in class `EntityLivingBase`

    - #### addToPlayerScore

          public void addToPlayerScore(Entity par1Entity,
                              int par2)

      Overrides:
        `addToPlayerScore` in class `Entity`

    - #### dropOneItem

          public EntityItem dropOneItem(boolean par1)

    - #### dropPlayerItemWithRandomChoice

          public EntityItem dropPlayerItemWithRandomChoice(ItemStack par1ItemStack,
                                                  boolean par2)

    - #### func_146097_a

          public EntityItem func_146097_a(ItemStack p_146097_1_,
                                 boolean p_146097_2_,
                                 boolean p_146097_3_)

    - #### joinEntityItemWithWorld

          public void joinEntityItemWithWorld(EntityItem par1EntityItem)

    - #### getCurrentPlayerStrVsBlock

          @Deprecated
          public float getCurrentPlayerStrVsBlock(Block p_146096_1_,
                                                    boolean p_146096_2_)

      Deprecated.

    - #### getBreakSpeed

          @Deprecated
          public float getBreakSpeed(Block p_146096_1_,
                                       boolean p_146096_2_,
                                       int meta)

      Deprecated.

    - #### getBreakSpeed

          public float getBreakSpeed(Block p_146096_1_,
                            boolean p_146096_2_,
                            int meta,
                            int x,
                            int y,
                            int z)

    - #### canHarvestBlock

          public boolean canHarvestBlock(Block p_146099_1_)

    - #### readEntityFromNBT

          public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `readEntityFromNBT` in class `EntityLivingBase`

    - #### writeEntityToNBT

          public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `writeEntityToNBT` in class `EntityLivingBase`

    - #### displayGUIChest

          public void displayGUIChest(IInventory par1IInventory)

    - #### func_146093_a

          public void func_146093_a(TileEntityHopper p_146093_1_)

    - #### displayGUIHopperMinecart

          public void displayGUIHopperMinecart(EntityMinecartHopper par1EntityMinecartHopper)

    - #### displayGUIHorse

          public void displayGUIHorse(EntityHorse par1EntityHorse,
                             IInventory par2IInventory)

    - #### displayGUIEnchantment

          public void displayGUIEnchantment(int par1,
                                   int par2,
                                   int par3,
                                   java.lang.String par4Str)

    - #### displayGUIAnvil

          public void displayGUIAnvil(int par1,
                             int par2,
                             int par3)

    - #### displayGUIWorkbench

          public void displayGUIWorkbench(int par1,
                                 int par2,
                                 int par3)

    - #### getEyeHeight

          public float getEyeHeight()

      Overrides:
        `getEyeHeight` in class `EntityLivingBase`

    - #### resetHeight

          protected void resetHeight()

    - #### attackEntityFrom

          public boolean attackEntityFrom(DamageSource par1DamageSource,
                                 float par2)

      Overrides:
        `attackEntityFrom` in class `EntityLivingBase`

    - #### canAttackPlayer

          public boolean canAttackPlayer(EntityPlayer par1EntityPlayer)

    - #### damageArmor

          protected void damageArmor(float par1)

      Overrides:
        `damageArmor` in class `EntityLivingBase`

    - #### getTotalArmorValue

          public int getTotalArmorValue()

      Overrides:
        `getTotalArmorValue` in class `EntityLivingBase`

    - #### getArmorVisibility

          public float getArmorVisibility()

    - #### damageEntity

          protected void damageEntity(DamageSource par1DamageSource,
                          float par2)

      Overrides:
        `damageEntity` in class `EntityLivingBase`

    - #### func_146101_a

          public void func_146101_a(TileEntityFurnace p_146101_1_)

    - #### func_146102_a

          public void func_146102_a(TileEntityDispenser p_146102_1_)

    - #### func_146100_a

          public void func_146100_a(TileEntity p_146100_1_)

    - #### func_146095_a

          public void func_146095_a(CommandBlockLogic p_146095_1_)

    - #### func_146098_a

          public void func_146098_a(TileEntityBrewingStand p_146098_1_)

    - #### func_146104_a

          public void func_146104_a(TileEntityBeacon p_146104_1_)

    - #### displayGUIMerchant

          public void displayGUIMerchant(IMerchant par1IMerchant,
                                java.lang.String par2Str)

    - #### displayGUIBook

          public void displayGUIBook(ItemStack par1ItemStack)

    - #### interactWith

          public boolean interactWith(Entity par1Entity)

    - #### getCurrentEquippedItem

          public ItemStack getCurrentEquippedItem()

    - #### destroyCurrentEquippedItem

          public void destroyCurrentEquippedItem()

    - #### getYOffset

          public double getYOffset()

      Overrides:
        `getYOffset` in class `Entity`

    - #### attackTargetEntityWithCurrentItem

          public void attackTargetEntityWithCurrentItem(Entity par1Entity)

    - #### onCriticalHit

          public void onCriticalHit(Entity par1Entity)

    - #### onEnchantmentCritical

          public void onEnchantmentCritical(Entity par1Entity)

    - #### respawnPlayer

          public void respawnPlayer()

    - #### setDead

          public void setDead()

      Overrides:
        `setDead` in class `Entity`

    - #### isEntityInsideOpaqueBlock

          public boolean isEntityInsideOpaqueBlock()

      Overrides:
        `isEntityInsideOpaqueBlock` in class `Entity`

    - #### getGameProfile

          public com.mojang.authlib.GameProfile getGameProfile()

    - #### sleepInBedAt

          public EntityPlayer.EnumStatus sleepInBedAt(int par1,
                                             int par2,
                                             int par3)

    - #### wakeUpPlayer

          public void wakeUpPlayer(boolean par1,
                          boolean par2,
                          boolean par3)

    - #### verifyRespawnCoordinates

          public static ChunkCoordinates verifyRespawnCoordinates(World par0World,
                                                  ChunkCoordinates par1ChunkCoordinates,
                                                  boolean par2)

    - #### getBedOrientationInDegrees

          public float getBedOrientationInDegrees()

    - #### isPlayerSleeping

          public boolean isPlayerSleeping()

      Overrides:
        `isPlayerSleeping` in class `EntityLivingBase`

    - #### isPlayerFullyAsleep

          public boolean isPlayerFullyAsleep()

    - #### getSleepTimer

          public int getSleepTimer()

    - #### getHideCape

          protected boolean getHideCape(int par1)

    - #### setHideCape

          protected void setHideCape(int par1,
                         boolean par2)

    - #### addChatComponentMessage

          public void addChatComponentMessage(IChatComponent p_146105_1_)

    - #### getBedLocation

          @Deprecated
          public ChunkCoordinates getBedLocation()

      Deprecated.

    - #### isSpawnForced

          @Deprecated
          public boolean isSpawnForced()

      Deprecated.

    - #### setSpawnChunk

          public void setSpawnChunk(ChunkCoordinates par1ChunkCoordinates,
                           boolean par2)

    - #### triggerAchievement

          public void triggerAchievement(StatBase par1StatBase)

    - #### addStat

          public void addStat(StatBase par1StatBase,
                     int par2)

    - #### jump

          public void jump()

      Overrides:
        `jump` in class `EntityLivingBase`

    - #### moveEntityWithHeading

          public void moveEntityWithHeading(float par1,
                                   float par2)

      Overrides:
        `moveEntityWithHeading` in class `EntityLivingBase`

    - #### getAIMoveSpeed

          public float getAIMoveSpeed()

      Overrides:
        `getAIMoveSpeed` in class `EntityLivingBase`

    - #### addMovementStat

          public void addMovementStat(double par1,
                             double par3,
                             double par5)

    - #### fall

          protected void fall(float par1)

      Overrides:
        `fall` in class `EntityLivingBase`

    - #### func_146067_o

          protected java.lang.String func_146067_o(int p_146067_1_)

      Overrides:
        `func_146067_o` in class `EntityLivingBase`

    - #### onKillEntity

          public void onKillEntity(EntityLivingBase par1EntityLivingBase)

      Overrides:
        `onKillEntity` in class `Entity`

    - #### setInWeb

          public void setInWeb()

      Overrides:
        `setInWeb` in class `Entity`

    - #### getItemIcon

          public IIcon getItemIcon(ItemStack par1ItemStack,
                          int par2)

      Overrides:
        `getItemIcon` in class `EntityLivingBase`

    - #### getCurrentArmor

          public ItemStack getCurrentArmor(int par1)

    - #### addExperience

          public void addExperience(int par1)

    - #### addExperienceLevel

          public void addExperienceLevel(int par1)

    - #### xpBarCap

          public int xpBarCap()

    - #### addExhaustion

          public void addExhaustion(float par1)

    - #### getFoodStats

          public FoodStats getFoodStats()

    - #### canEat

          public boolean canEat(boolean par1)

    - #### shouldHeal

          public boolean shouldHeal()

    - #### setItemInUse

          public void setItemInUse(ItemStack par1ItemStack,
                          int par2)

    - #### isCurrentToolAdventureModeExempt

          public boolean isCurrentToolAdventureModeExempt(int par1,
                                                 int par2,
                                                 int par3)

    - #### canPlayerEdit

          public boolean canPlayerEdit(int par1,
                              int par2,
                              int par3,
                              int par4,
                              ItemStack par5ItemStack)

    - #### getExperiencePoints

          protected int getExperiencePoints(EntityPlayer par1EntityPlayer)

      Overrides:
        `getExperiencePoints` in class `EntityLivingBase`

    - #### isPlayer

          protected boolean isPlayer()

      Overrides:
        `isPlayer` in class `EntityLivingBase`

    - #### getAlwaysRenderNameTagForRender

          public boolean getAlwaysRenderNameTagForRender()

      Overrides:
        `getAlwaysRenderNameTagForRender` in class `EntityLivingBase`

    - #### clonePlayer

          public void clonePlayer(EntityPlayer par1EntityPlayer,
                         boolean par2)

    - #### canTriggerWalking

          protected boolean canTriggerWalking()

      Overrides:
        `canTriggerWalking` in class `Entity`

    - #### sendPlayerAbilities

          public void sendPlayerAbilities()

    - #### setGameType

          public void setGameType(WorldSettings.GameType par1EnumGameType)

    - #### getCommandSenderName

          public java.lang.String getCommandSenderName()

      Specified by:
        `getCommandSenderName` in interface `ICommandSender`
      Overrides:
        `getCommandSenderName` in class `Entity`

    - #### getEntityWorld

          public World getEntityWorld()

      Specified by:
        `getEntityWorld` in interface `ICommandSender`

    - #### getInventoryEnderChest

          public InventoryEnderChest getInventoryEnderChest()

    - #### getEquipmentInSlot

          public ItemStack getEquipmentInSlot(int par1)

      Specified by:
        `getEquipmentInSlot` in class `EntityLivingBase`

    - #### getHeldItem

          public ItemStack getHeldItem()

      Specified by:
        `getHeldItem` in class `EntityLivingBase`

    - #### setCurrentItemOrArmor

          public void setCurrentItemOrArmor(int par1,
                                   ItemStack par2ItemStack)

      Specified by:
        `setCurrentItemOrArmor` in class `EntityLivingBase`

    - #### isInvisibleToPlayer

          public boolean isInvisibleToPlayer(EntityPlayer par1EntityPlayer)

      Overrides:
        `isInvisibleToPlayer` in class `Entity`

    - #### getLastActiveItems

          public ItemStack[] getLastActiveItems()

      Specified by:
        `getLastActiveItems` in class `EntityLivingBase`

    - #### getHideCape

          public boolean getHideCape()

    - #### isPushedByWater

          public boolean isPushedByWater()

      Overrides:
        `isPushedByWater` in class `Entity`

    - #### getWorldScoreboard

          public Scoreboard getWorldScoreboard()

    - #### getTeam

          public Team getTeam()

      Overrides:
        `getTeam` in class `EntityLivingBase`

    - #### func_145748_c_

          public IChatComponent func_145748_c_()

      Specified by:
        `func_145748_c_` in interface `ICommandSender`
      Overrides:
        `func_145748_c_` in class `Entity`

    - #### setAbsorptionAmount

          public void setAbsorptionAmount(float par1)

      Overrides:
        `setAbsorptionAmount` in class `EntityLivingBase`

    - #### getAbsorptionAmount

          public float getAbsorptionAmount()

      Overrides:
        `getAbsorptionAmount` in class `EntityLivingBase`

    - #### func_146094_a

          public static java.util.UUID func_146094_a(com.mojang.authlib.GameProfile p_146094_0_)

    - #### openGui

          public void openGui(java.lang.Object mod,
                     int modGuiId,
                     World world,
                     int x,
                     int y,
                     int z)

    - #### getPosition

          public Vec3 getPosition(float par1)

      Overrides:
        `getPosition` in class `EntityLivingBase`

    - #### getBedLocation

          public ChunkCoordinates getBedLocation(int dimension)

      A dimension aware version of getBedLocation.
      Parameters:
        `dimension` - The dimension to get the bed spawn for
      Returns:
        The player specific spawn location for the dimension. May be null.

    - #### isSpawnForced

          public boolean isSpawnForced(int dimension)

      A dimension aware version of isSpawnForced. Noramally isSpawnForced is used to determine if the respawn system should check for a bed or not. This just extends that to be dimension aware.
      Parameters:
        `dimension` - The dimension to get whether to check for a bed before spawning for
      Returns:
        The player specific spawn location for the dimension. May be null.

    - #### setSpawnChunk

          public void setSpawnChunk(ChunkCoordinates chunkCoordinates,
                           boolean forced,
                           int dimension)

      A dimension aware version of setSpawnChunk. This functions identically, but allows you to specify which dimension to affect, rather than affecting the player's current dimension.
      Parameters:
        `chunkCoordinates` - The spawn point to set as the player-specific spawn point for the dimension
        `forced` - Whether or not the respawn code should check for a bed at this location (true means it won't check for a bed)
        `dimension` - Which dimension to apply the player-specific respawn point to

    - #### getDefaultEyeHeight

          public float getDefaultEyeHeight()

      Returns the default eye height of the player
      Returns:
        player default eye height

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Get the currently computed display name, cached for efficiency.
      Returns:
        the current display name

    - #### refreshDisplayName

          public void refreshDisplayName()

      Force the displayed name to refresh